Bug 130120 - LTC11062-Not able to install Linux on LPAR via ftp
LTC11062-Not able to install Linux on LPAR via ftp
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
s390x Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-17 06:56 EDT by Rama Moorthy
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-22 10:33:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
LPAR-31bit.jpg (43.86 KB, image/jpeg)
2004-09-13 11:31 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description Rama Moorthy 2004-08-17 06:56:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
Not able to complete  the installation, Installation hangs, Error 
messages are not displayed
The installation did stop at different install steps. 
 After LPAR setup and boot,  the package transfer initiated by 
anaconcda  does stop at different transfer rates. 
That has been observed within several installs. 


Version-Release number of selected component (if applicable):
kernel-2.6.7-1.451.2.3, rpm-4.3.2-0.4, RHEL4 A4

How reproducible:
Always

Steps to Reproduce:
1.Enter the boot parameters in LPAR
2.Connect via telnet to the new Linux for starting installation

    

Actual Results:  The package transfer initiated by anaconcda  does 
stop at different transfer rates.Installation hangs, Error messages 
are not displayed


Expected Results:  Installation should complete without problem

Additional info:
Comment 1 Suzanne Hillman 2004-08-17 16:34:56 EDT
This was for RHEL4, Alpha4? 

If so, it needs to be changed to a different Product and Version. I
believe the Product needs to be "Red Hat Enterprise Linux Beta', and
after submitting that, rhel4-alpha4 will become an option.
Comment 2 Georg Markgraf 2004-08-18 05:08:58 EDT
Hello Suzanne,
we do not have a choice to select " Red Hat Enterprise Linux Beta'
Do we need to gain access to a specific access group to open 
bugzillas against the RHEL4 alpha 4 ? Then please let us know 
Comment 3 Rama Moorthy 2004-08-18 06:03:08 EDT
Try to change the version ..unable to do it
Comment 4 Jeremy Katz 2004-08-18 10:42:49 EDT
Are there any error messages from the kernel at the point that it
hangs?  Can you ping the LPAR?
Comment 5 Georg Markgraf 2004-08-18 11:26:45 EDT
Rama the originator cannot edit this bugzilla anymore since it is 
flagged for   'RHEL4 alpa4' 
Comment 6 Georg Markgraf 2004-08-18 12:04:50 EDT
Real name 'Georg Markgraf'
Error Messages are not displayed.
It is posible to execute some of the linux commands in the HMC console
(Operating System Messages)
The transfer stopped e.g. with package 51 from 454 from rpmdb-redhat-
3.93-0.20040722-s390x


Comment 7 Georg Markgraf 2004-08-19 06:07:30 EDT
Georg,
with a different selection of packages the transfer does complete.
For example selection of: 
- Editors, -Development tools, -Gnome, -Administration tools 
it works.
Comment 8 Georg Markgraf 2004-09-07 08:14:38 EDT
I cannot switch off  'need info'  please have a look on this to get 
it resolved 
Comment 9 Jeremy Katz 2004-09-07 13:29:11 EDT
Can you ping the lpar still?
Comment 10 Georg Markgraf 2004-09-08 12:45:50 EDT
We are not able to ping to LPAR. But we can perform some linux 
commands in the HMC console(Operating System Messages)
Comment 11 IBM Bug Proxy 2004-09-13 11:31:50 EDT
Created attachment 103785 [details]
LPAR-31bit.jpg
Comment 12 IBM Bug Proxy 2004-09-13 11:32:28 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-09-13 11:29 -------
 
LPAR-31bit-error screen shot

Network error during RHEL4 beta1(31 bit) on LPAR via ftp.. 
Comment 13 IBM Bug Proxy 2004-09-16 06:23:51 EDT
----- Additional Comments From mgrf@de.ibm.com  2004-09-16 06:22 EDT -------
Bill 
please have a look on this. 
The LPAR install, 31 bit only, does always break. 
Do we need another update for beta 1 to install ? 
Comment 14 IBM Bug Proxy 2004-09-20 11:43:48 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-09-20 10:39 EDT -------
Hi 
Please pick up this ChangeSet@1.1837.25.44 if not picked up.This may help in 
fixing the problem
Regards,
Rama Moorthy 
Comment 15 IBM Bug Proxy 2004-09-20 11:47:02 EDT
----- Additional Comments From mgrf@de.ibm.com  2004-09-20 11:08 EDT -------
1.) The patch mentioned above is a must for network loads. 

2.) Kunal Rama,
Please use a different network driver to install, e.g. FE instead GbE that 
could be the reason that it works in POK and not in BOE. 
Comment 16 IBM Bug Proxy 2004-09-20 15:10:54 EDT
----- Additional Comments From salina@us.ibm.com  2004-09-20 15:09 EDT -------
Rama,
Where is your bitkeeper tree ?  Is it linus.bkbits.net or somewhere else ? 
Comment 17 IBM Bug Proxy 2004-09-21 03:44:33 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-09-21 03:43 EDT -------
Hello salina,
you may find its bookmarkable link here:
http://linus.bkbits.net:8080/linux-2.5/cset@412f72364poHLd99_tjfpPKCMXIY4g
Thanks and regards,
Rama Moorthy 
Comment 18 IBM Bug Proxy 2004-09-21 10:39:35 EDT
----- Additional Comments From salina@us.ibm.com  2004-09-21 10:37 EDT -------
Mark,
I have added you to the cc list.   This is z-series problem.   Can you please 
make sure RH picks up the fix.    Thanks 
Comment 19 IBM Bug Proxy 2004-09-21 16:55:41 EDT
----- Additional Comments From markwiz@us.ibm.com  2004-09-21 12:50 EDT -------
This bug is marked as "Needinfo" on the Red Hat side. What is Red Hat waiting
for? I do not see a request for a injformation. Am I missing something? 
Comment 20 Pete Zaitcev 2004-09-21 17:42:18 EDT
It was in Needinfo state ever since 8/18 when Jeremy asked if
LPAR could be pinged.
Comment 21 IBM Bug Proxy 2004-09-22 08:20:27 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-09-22 08:16 EDT -------
Hi
If the change ChangeSet@1.1837.25.44, 2004-08-27 10:41:10-07:00,has been picked 
up could we get an rpm in advance please ?.This is critcal need to perform 
ongoing stress tests  and also perform further tests with this rpm in BOE. 
Thanks in advance.
Rama 
Comment 23 IBM Bug Proxy 2004-09-27 10:34:21 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-09-27 10:32 EDT -------
Hi 
I have tried to install 31/64 with Beta Refresh .I am getting the same error.

Regards,
Rama Moorthy 
Comment 24 IBM Bug Proxy 2004-09-28 10:31:45 EDT
----- Additional Comments From mgrf@de.ibm.com  2004-09-28 10:30 EDT -------
1.) Did the patch make it into beta1 refresh ? 
    Cannot see any info on that, the bugzilla only changed to fixed.

 2.) As per Ramas update I re-open this because retest did fail. 
Comment 25 IBM Bug Proxy 2004-09-29 05:59:36 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-09-29 05:57 EDT -------
Hi 
When I retested in beta refresh I observed some points
1) The package transfer initiated by anaconda does stop at different transfer   
    rates. Installation hangs
2) When I performed a linux command in HMC console "ls" (in Operating  
     System Messages) I got the following error
     *** glibc detected *** double free or corruption: 0x00000000801c6f70 ***
   Aborted
3) In RedHat bugzilla I have a seen a bug which has the same error message as  
   above #132707 (Product: Fedora Core, Version: fc3test2 
                  Component: e2fsprogs  Platform i386)

4) The LPAR Memory is
  a) Central Storage: 1024 MB 
  b) Expanded 0 MB

This is critcal need to perform ongoing stress tests  and also perform further 
tests with this rpm in BOE. 

Regards,
Rama 
Comment 26 Florian La Roche 2004-09-29 11:45:22 EDT
1) should be kernel item. Testing the kernel on an installed machine
   should be used to stress test the kernel and add more information
   on how to reproduce it.
2) ls/busybox did get further updates, is working now internally
3) e2fsprogs is fixed internally, will be part of the next beta

Comment 27 IBM Bug Proxy 2004-09-30 11:59:43 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-09-30 11:57 EDT -------
Hello Bill,

Since we do not have LPAR-LINUX installed in BOE ,Could you please put some  
network stress on LPAR-LINUX and let us know
Thanks in advance..
Regards,
Rama 
Comment 28 Georg Markgraf 2004-10-08 09:20:36 EDT
Hello Phil, 
in BOE the level of the OSA µcode is 616. 
Its a z990, so that is most recent level.
Could you please provide the OSA level you used with your LPAR 
installs, thanks Georg  
Comment 29 Phil Knirsch 2004-10-08 09:38:54 EDT
How do i get the OSA µcode level?! And keep in mind that we also don't
have any LPAR-LINUX installations running.

If the patch that was mentioned earlier did make it into 2.6.8 we
should be fine.

Read ya, Phil
Comment 30 IBM Bug Proxy 2004-10-11 23:31:58 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-10-11 23:28 EDT -------
Hi,
When i tried to install Linux(LPAR),in dmesg(HMC Operating system Messages) i 
observed an entry for oom-killer which terminates many processess.
Below is the dmesg.

dmesg(part of dmesg)
----------------------------------------------------------------------
....
....
oom-killer: gfp_mask=0x1d2
DMA per-cpu:
cpu 0 hot: low 32, high 96, batch 16
cpu 0 cold: low 32, high 0, batch 16
Normal per-cpu:empty
HighMem per-cpu:empty
....
....
Out of Memory :Killed Process 2076(update-desktop-).
....
------------------------------------------------------------------------------


Additional Informaion 

1)MTU Size 1492 

2)Additional Info 
meminfo 
MemTotal:      1025236 kB 
MemFree:          2656 kB 
Buffers:         20852 kB 
Cached:          72856 kB 
SwapCached:     831996 kB 
Active:          51200 kB 
Inactive:       903436 kB 
HighTotal:           0 kB 
HighFree:            0 kB 
LowTotal:      1025236 kB 
LowFree:          2656 kB 
SwapTotal:     2403976 kB 
SwapFree:       437764 kB 
Dirty:               0 kB 
Writeback:      814484 kB 
Mapped:          29296 kB 
Slab:            51424 kB 
Committed_AS:  2202800 kB 
PageTables:       4972 kB 
VmallocTotal: 4293910528 kB 
VmallocUsed:      4120 kB 
VmallocChunk: 4293906080 kB 

-/bin/sh-3.00# uname -r 
2.6.8-1.528.2.10 

-/bin/sh-3.00# free 
              total         used         free       shared      buffers 
  Mem:      1025236      1022964         2272            0        20436 
 Swap:      2403976      1128412      1275564 
Total:      3429212      2151376      1277836 

-/bin/sh-3.00# vmstat -a 
procs -----------memory---------- ---swap-- -----io---- --system-- ----cpu---- 
 r  b   swpd   free  inact active   si   so    bi    bo   in    cs us sy id wa 
 1  0 1710168   2448 896136  57968    8 11611   176 11823   87   154  4 49 15 
32 

Regards,
Rama 
Comment 31 Georg Markgraf 2004-10-14 02:31:05 EDT
As discussed in yesterdays call: 
1.) Jan please verify in the new RH kernel that    
    ChangeSet@1.1837.25.44 is included ! 
2.) We now have problem with network load.
    After manipulation we could install LPAR: 
    Data will come when we know it s the same problem 
Comment 32 Jan Glauber 2004-10-14 07:30:45 EDT
ChangeSet@1.1837.25.44 is included at least starting with version
kernel-2.6.8-1.607
Comment 33 IBM Bug Proxy 2004-10-18 09:00:53 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-10-18 08:58 EDT -------
Hi All,
After the OSA card replacement the file transfer problem does not seem to 
reoccur.
Regards,
Rama 
Comment 34 IBM Bug Proxy 2004-10-18 12:17:09 EDT
----- Additional Comments From salina@us.ibm.com  2004-10-18 12:16 EDT -------
Rama,
Please say which version of Redhat are you using and no longer see the 
problem.  Thanks. 
Comment 35 IBM Bug Proxy 2004-10-18 22:30:53 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-10-18 22:28 EDT -------
Hi 
The Version is RHEL4 Beta1 Refresh.
RPM    :rpm-4.3.2-4
Kernel :2.6.8-1.528.2.10

Regards,
Rama 
Comment 36 IBM Bug Proxy 2004-10-20 03:06:10 EDT
----- Additional Comments From rmoorthy@in.ibm.com  2004-10-20 03:05 EDT -------
Hi 

Please change the status to Modified.I am not able to edit the bug in RedHat 
Bugzilla eventhough i am the owner of this BUG :).When i try to change the 
status getting a error "You are not permitted to edit bugs in product Red Hat 
Enterprise Linux Beta"


Note :I have already updated the bug.
Regards,
Rama 
Comment 37 IBM Bug Proxy 2004-10-20 11:06:20 EDT
----- Additional Comments From salina@us.ibm.com  2004-10-20 11:08 EDT -------
I can close this in IBM bugzilla, so doing that. 
Comment 38 Georg Markgraf 2004-10-26 04:02:48 EDT
Question:    Does the fixes for 2.) + 3.) still get integrated 
             when bug is closed because 1.) is not a bug ? 
      Do we need to re-open this to get 2.)+3.) integrated ? 
See also comment #26 following:        Thanks Georg 

1) should be kernel item. Testing the kernel on an installed machine
   should be used to stress test the kernel and add more information
   on how to reproduce it.
2) ls/busybox did get further updates, is working now internally
3) e2fsprogs is fixed internally, will be part of the next beta

Note You need to log in before you can comment on or make changes to this bug.